variables:
  DOCKER_DRIVER: overlay
  CONTAINER_TEST_IMAGE: registry.gitlab.com/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME:$CI_BUILD_REF_NAME
  CONTAINER_RELEASE_IMAGE: registry.gitlab.com/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME:latest

stages:
  - package
  - release

package:
  stage: package
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker info
  script:
    - docker build -t $CONTAINER_TEST_IMAGE .
    - docker push $CONTAINER_TEST_IMAGE

release:
  stage: release
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker info
  script:
   - docker pull $CONTAINER_TEST_IMAGE
   - docker tag $CONTAINER_TEST_IMAGE $CONTAINER_RELEASE_IMAGE
   - docker push $CONTAINER_RELEASE_IMAGE
  only:
    - master
